.header__text {
  position: absolute;
  bottom: 6vw;
  right: 4%;
  color: rgb(var(--c-neutral-lightest));
  text-transform: uppercase;
  text-align: right;
  font-size: 2.2vw;

  & a {
    color: rgb(var(--c-neutral-lightest));
  }
}

.header__title {
  border-radius: var(--b-radius-s);
  margin-bottom: 0.5rem;
  background: rgb(var(--c-primary-dark)) none repeat scroll 0 0;
  box-decoration-break: clone;
  display: inline;
  padding: .4rem 1rem;
  line-height: 2.4;
  font-size: var(--f-size-l-4);
  border-radius: var(--b-radius-s);
  color: rgb(var(--c-neutral-lightest));
}

.header__description {
  background: rgb(var(--c-primary));
  padding: .4rem 1rem;
  border-radius: var(--b-radius-s);
  display: inline;
  line-height: 2.4;
  box-decoration-break: clone;
  color: rgb(var(--c-neutral-lightest));
}

.header__image {
  overflow: hidden;
  display: block;

  picture {
    height: 100%;
    width: 100%;
  }

  & video {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &.-left {
    & video,
    & img {
      object-position: left center;
    }
  }

  &.-right {
    & video,
    & img {
      object-position: right center;
    }
  }

  &.-top {
    & video,
    & img {
      object-position: center top;
    }
  }

  &.-bottom {
    & video,
    & img {
      object-position: center bottom;
    }
  }

  &.-bottom.-left {
    & video,
    & img {
      object-position: left bottom;
    }
  }

  &.-bottom.-right {
    & video,
    & img {
      object-position: right bottom;
    }
  }

  &.-top.-left {
    & video,
    & img {
      object-position: left top;
    }
  }

  &.-top.-right {
    & video,
    & img {
      object-position: right top;
    }
  }
}

/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 800px) {
  div.header__text.-bottom {
    display: block;
  }

  .header__text {
    font-size: 100%;
  }

  .header__title {
    line-height: 1.9;
  }
}